<?php
/**
 * @file
 * Template for the Permalink block module.
 */

// Get the title of the current page.
$page_title = drupal_get_title();
// Get the domain.
$host = variable_get('permalink_block_url_name', preg_replace('#^www\.(.+\.)#i', '$1', parse_url($GLOBALS['base_url'], PHP_URL_HOST)));
// Get the site slogan and make first character lowercase.
$slogan = variable_get("site_slogan");
$slogan{0} = strtolower($slogan{0});
// If there is no site slogan, we do not need a seperator.
$slogan = (empty($slogan)) ? '' : ', ' . $slogan;
// If there is no title (e.g. on front page), use the site name and slogan.
$page_title = (empty($page_title)) ? $host . $slogan : $page_title;
// Prefix the page title with the site name and decode special characters.
$title = htmlspecialchars_decode($page_title);
// Get the url of the current page.
$link = $GLOBALS['base_url'] . base_path() . current_path();
// Construct a link to the source page.
$encoded = htmlspecialchars(l('replace-me', $link, array(
  'attributes' => array(
    'title' => $host . $slogan,
  ),
)));
$html = preg_replace ('/replace-me/', $title, $encoded);
$permalink_text = t('Permalink');
$intro = t('HTML code to copy to your site or email message:');
$help = t('Click below to select, Ctrl + C to copy.');
?>

<?php if(module_exists('popup')): ?>
  <?php
  module_load_include('inc', 'popup', 'includes/popup.api');
// If a popup style is not set, use 'White' (https://drupal.org/node/1463786).
  if(variable_get('popup-style', 'White') == '0') {
    variable_set('popup-style', 'White');
  }
  $copybox = "'copybox'";
  $text = '<div id="permalink"><div class="intro">' . $intro . '</div><div class="help">' . $help . '</div><br /><div id="copybox" onclick="selectText(' . $copybox . ')">' . $html . '</div></div>';
  print popup(array(
    // See the README.txt of the popup module for the available options.
    'text' => $text,
    'title' => $permalink_text,
    'link' => $link,
    'origin' => 'top-left',
    'expand' => 'top-right',
    'effect' => 'fade',
    'width' => '500',
    // Can also be set to 'click'.
    'activate' => 'hover',
    // Added just in case 'click' is set. No effect on 'hover'.
    'close' => 'TRUE',
  ));
  ?>
<?php else: ?>
  <div id="permalink"><span class="link"><?php 
  print l($permalink_text, $GLOBALS['base_url'] . base_path() . current_path(), array(
        'attributes' => array('title' => t("Right-click to copy link address or copy HTML code below")),
        )); ?> </span><br /><?php print $intro; ?>
  <div class="help"><?php print $help; ?></div><br />
  <div id="copybox" onclick="selectText('copybox')">
  <?php print preg_replace('/replace-me/', $title, $encoded); ?></div></div>
<?php endif; ?>

